Name:           rhsc-sdk
Version: 3.1.0.2
Release: 1alpha%{dist}
Summary:        oVirt Engine Software Development Kit
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ovirt.org
Source0:        http://ovirt.org/releases/stable/src/ovirt-engine-sdk-%{version}.tar.gz

Provides: ovirt-engine-sdk = 3.1.0.2
BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildArch: noarch

Requires: python
Requires: python-lxml

%description
This package contains The oVirt-Engine Software Development Kit.
With this package, custom software can be built for oVirt-Engine.

%prep
%setup -q -n ovirt-engine-sdk

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%dir %attr(0755, root, root) %{python_sitelib}/ovirtsdk
%{python_sitelib}/ovirtsdk
%{python_sitelib}/ovirt_engine_sdk-*-info
%doc AUTHORS
%doc README
%doc LICENSE

%changelog

* Thu Jun 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.2-1alpha
- prevent stack overflow caused by comparisons creating infinite loops
- fix error handling regression
- implement support for 3+ period based URLs, new capabilities:    
    - vm.snapshot.disks/nics collections support
    - host/vm.nics.statistics collections support
    - collection/resource.permits support
- rebase to latest api, new capabilities:
    - gluster collections/resources
    - quota support
    - remove template disk (by storage domain)
    - vm.payload support
    - floating disk support
- add __eqals__ to business entities #782891

* Wed May 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.1-1alpha
- Version format refactoring to align with oVirt version schema 
- Alpha release

* Thu May 10 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.5
- Added session based auth. support
- Infinite recursion when calling non-existent method #808124
- at Network/.add() added [@param network.usages: collection]
- at HostNIC/.add() added [@param hostnic.ip.mtu: int]
- at StorageDomainTemplate/StorageDomainVM.import() added:
  [@param action.storagedomain.id|name: string]
  [@param action.vm.disks.disk: collection]
- at StorageDomains.add() method added:
  Overload 4:
    @param storagdomain.name: string
    @param storagdomain.host.id|name: string
    @param storagdomain.type: string
    @param storagdomain.storage.type: string
    @param storagdomain.format: boolean
    @param storagdomain.storage.path: string
    @param storagedomain.storage.vfs_type: string
    [@param storagdomain.storage.address: string]
    [@param storagdomain.storage.mount_options: string]
- at Template/VM added:
  [@param template/vm.display.allow_reconnect: boolean]
-at Template/VM.add() added:
  [@param template/vm.display.allow_reconnect: boolean]
  [@param template/vm.vm.disks.disk: collection]
-added VMDisk.activate() method
-added VMDisk.deactivate() method
-added VMNic.activate() method
-added VMNic.deactivate() method

* Wed Mar 28 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.4
- get rid of papyon dep.
- implement ordereddict
- lower lxml dep.

* Wed Mar 21 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.3
- few methods argumets documentation fixes

* Wed Mar 14 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.2
- add papyon dependency (needed for odict)

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.1
- rebase to latest api
  - refactored storage.create() parameters sets
  - added documentation for UPDATE methods arguments
  - implemented ars-doc support for collection based arguments
  - added vm.delete(Action) signature, to force vm removal
  - implemented support for collection based actions
  - added setupnetworks action on collection of HostNics
  - added prestarted_vms property to vmpool
  - added support for new rsdl section describing url parameters
  - added 'reboot' property in host (used to disable reboot after installation)
  - added 'plugged' property in vm disk (to plug/unplug the disk at runtime)
- implement support for documentation of netsed collection based args
- support actions on collection
- refactor documentation for collection based arguments
- implement support for collection based parameters
- implement url matrix parameters support
- Cluster with NULL DC cannot be attached to DC #782828
- use secured connection if no protocol specified
- add documentation for api proxy arguments
- add debugging capabilities

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 1.5
- several minor improvements

* Fri Feb 10 2012 Michael Pasternak <mpastern@redhat.com> - 1.4
- added get_product_info() method to entry point

* Tue Feb 7 2012 Michael Pasternak <mpastern@redhat.com> - 1.3
- rebased to latest ovirt-engine-api:
  - added update() for role resource
  - various parameter wrapping improvements

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- use direct URI on get(id=x) rather than search pattern
- extention for #782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- add connectivity check and disconnect methods for #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build
